classification
Title: Obsolete url in comment inside decimal module
Type: Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eric.araujo, facundobatista, mark.dickinson, orsenthil, python-dev, rhettinger, skrah, vajrasky
Priority: normal Keywords:

Created on 2013-07-13 03:41 by vajrasky, last changed 2013-09-08 06:21 by orsenthil. This issue is now closed.

Messages (6)
msg192994 - (view) Author: Vajrasky Kok (vajrasky) * Date: 2013-07-13 03:41
Python 3.4, file Lib/decimal.py, line 24:

www.cs.berkeley.edu/~ejr/projects/754/private/drafts/854-1987/dir.html

If you go to the website, you'll encounter this error:

The server has encountered a problem because the resource was not found.

I could not find the replacement. The only thing that I could find is the paid material found here:

http://ieeexplore.ieee.org/xpl/mostRecentIssue.jsp?punumber=2502

That's not good.
msg193372 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-07-19 19:55
Praise the Wayback Machine: http://web.archive.org/web/20050309223101/http://www.cs.berkeley.edu/~ejr/projects/754/private/drafts/854-1987/dir.html
msg193430 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2013-07-21 09:55
Searching around a bit, I did find a link to what looks like the actual version of IEEE 854 online.  I don't think it would be appropriate to add such a link to the docs, though.  It looks as though we'll have to settle for a reasonably persistent link that goes to a page *about* IEEE 854, rather than a link to a draft.  The wikipedia page would seem reasonable:

http://en.wikipedia.org/wiki/IEEE_854-1987
msg196562 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2013-08-30 16:57
Wikipedia sounds good. Let's avoid linking directly to "free" versions. :)
msg197226 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-09-08 06:20
New changeset 44ed0cd3dc6d by Senthil Kumaran in branch '2.7':
Fix the dead link of IEEE_854-1987 standard with the Wikipedia entry.
http://hg.python.org/cpython/rev/44ed0cd3dc6d

New changeset 0eef1670f316 by Senthil Kumaran in branch '3.3':
Fix the dead link of IEEE_854-1987 standard with the Wikipedia entry.
http://hg.python.org/cpython/rev/0eef1670f316

New changeset 44fa59286012 by Senthil Kumaran in branch 'default':
merge from 3.3
http://hg.python.org/cpython/rev/44fa59286012
msg197227 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2013-09-08 06:21
Fixed that in 2.7,3.3 and 3.4
History
Date User Action Args
2013-09-08 06:21:09orsenthilsetstatus: open -> closed

versions: + Python 2.7, Python 3.3
nosy: + orsenthil

messages: + msg197227
resolution: fixed
stage: resolved
2013-09-08 06:20:14python-devsetnosy: + python-dev
messages: + msg197226
2013-08-30 16:57:53skrahsetmessages: + msg196562
2013-08-19 09:15:36serhiy.storchakasetnosy: + facundobatista, skrah
2013-07-21 09:55:34mark.dickinsonsetnosy: + mark.dickinson
messages: + msg193430
2013-07-19 19:55:48eric.araujosetnosy: + eric.araujo
messages: + msg193372
2013-07-13 03:41:51vajraskycreate